Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 17 Aug 2018, 09:16
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
BionicDog (updated: 2018-06-04)
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 21 of 28 [412 Posts]   Goto page: Previous 1, 2, 3, ..., 19, 20, 21, 22, 23, ..., 26, 27, 28 Next
Author Message
irishrm


Joined: 14 Mar 2009
Posts: 271

PostPosted: Fri 08 Jun 2018, 07:07    Post subject:  

fredx181:
I installed your .deb, powered off, removed the dongle then rebooted and wifi
connected automatically as before.
Brilliant work, thanks a lot, really appreciated.
I will now go ahead and do an install of 2018-06-04.
irishrm.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12274
Location: Stratford, Ontario

PostPosted: Fri 08 Jun 2018, 07:16    Post subject:  

irishrm wrote:
I will now go ahead and do an install of 2018-06-04.

Here's a hint: download the 2018-06-04 version of the wl WiFi driver now and save it on a flash drive.

So when the new BionicDog boots up, you will be ready to install the matching driver.
Back to top
View user's profile Send private message 
irishrm


Joined: 14 Mar 2009
Posts: 271

PostPosted: Fri 08 Jun 2018, 07:22    Post subject:  

rcrsn51:
Will do, thanks for the hint.
irishrm.
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3214
Location: holland

PostPosted: Fri 08 Jun 2018, 07:35    Post subject:  

rcrsn51 wrote:
Rebooting is safest, because it activates the blacklisting. Otherwise, you need to do something like
Code:
modprobe -r b43 bcma
modprobe wl

Ah, thanks, edited my above post.

Quote:
@Fred: Where is the DEBIAN folder hiding in these debs? It looks like "depmod -a" is being run, but I don't see how.



Strange, there is a DEBIAN folder with inside control and postinst script.
I made these debs on Bionicdog, maybe that makes some difference in how it's built. How do you extract ?
I use always redeb <package>.deb

irishrm wrote:
fredx181:
I installed your .deb, powered off, removed the dongle then rebooted and wifi
connected automatically as before.
Brilliant work, thanks a lot, really appreciated.


Good to know and you're welcome irishrm !

Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12274
Location: Stratford, Ontario

PostPosted: Fri 08 Jun 2018, 07:53    Post subject:  

I used "dpkg-deb -x" and "dpkg -x", but I can't remember now what platform that was on.

Not a problem. I had faith that you built them correctly. Wink

[Edit] That was stupid, I should have used "dpkg-deb -R".
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3214
Location: holland

PostPosted: Fri 08 Jun 2018, 08:05    Post subject:  

rcrsn51 wrote:
I used "dpkg-deb -x" and "dpkg -x", but I can't remember now what platform that was on.

Not a problem. I had faith that you built them correctly. Wink


I use to extract (well, it's something like that in "redeb" script):
Code:
dpkg-deb -x <package>.deb .
dpkg-deb -e <package>.deb ./DEBIAN


EDIT: Ah, yes, dpkg-deb -R does it in one step, didn't know.

Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12274
Location: Stratford, Ontario

PostPosted: Fri 08 Jun 2018, 08:43    Post subject:  

@Fred: While we are discussing out-of-kernel drivers, it might be worthwhile looking at nvidia. I made instructions here for Debian, but they don't appear to apply to Ubuntu.

Any thoughts?

[Edit] According to this, you can replace the nvidia-detect command with ubuntu-drivers, then get the desired nvidia package.

I'm guessing that you would also need a linux-headers package.

Code:
apt-get update
apt-get install linux-headers-generic
apt-get install ubuntu-drivers-common
ubuntu-drivers devices #this is slow
apt-get install nvidia-xxx

Last edited by rcrsn51 on Fri 08 Jun 2018, 11:08; edited 1 time in total
Back to top
View user's profile Send private message 
irishrm


Joined: 14 Mar 2009
Posts: 271

PostPosted: Fri 08 Jun 2018, 11:01    Post subject:  

Quick update:
I just finished installing 2018-06-04 on a mini USB stick.
I now have a nice tidy OS with almost everything I need included.
I'd better not mention printers for a while.
Thanks again for all the help.
irishrm.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12274
Location: Stratford, Ontario

PostPosted: Fri 08 Jun 2018, 11:05    Post subject:  

Is this your Canon printer? Do you still have the original .deb packages? Do you have the PET installer made with candi-pet-maker?
Back to top
View user's profile Send private message 
irishrm


Joined: 14 Mar 2009
Posts: 271

PostPosted: Fri 08 Jun 2018, 12:31    Post subject:  

Yes I still have the canon and all those packages. I also have a samsung ML2162 which is what I use mostly now.

In relation to the install of 2018-06-04 I installed the latest flashplayer but it didn't work. Tried it in the older install and it didn't work there either.
I then copied flashplayer from a tahr install and installed it in user,lib,mozilla,plugins.
That worked, just had to enable it on some sites.

Got to get out and about for a while, will check in later.
irishrm.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12274
Location: Stratford, Ontario

PostPosted: Fri 08 Jun 2018, 12:58    Post subject:  

Quote:
I also have a samsung ML2162

Are you using this in a Puppy? With which driver?

HP is now handling Samsung printer support. I went here, but there is no Linux driver.

But there is still the Unified Linux driver for the ML-2160 series.
Back to top
View user's profile Send private message 
irishrm


Joined: 14 Mar 2009
Posts: 271

PostPosted: Fri 08 Jun 2018, 16:24    Post subject:  

I have a few samsung driver pets which still work with most 32bit puppies.
They don't work with 64bit systems
It was you who provided them for me.

I also have unifiedlinuxdrivers 3.00.90.tar.gz and 4.00.36.tar.gz.
I recently installed the samsung printer on a tahr64 install using the unified driver. It has an auto script that does the instillation for you.

I ran the unified driver on Bionic Dog. It actually created a gui and menu listing but it didn't continue and setup the printer as it did in tahr,
The gui opens but doesn't respond.
It seemed to install the proper driver in cups.
I was able to setup the printer with the proper driver but it didn't work.

If either of the printers could be set up it would be a bit a of an achievement.
At the moment I keep a 32bit Tahr install for printing.

irishrm.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12274
Location: Stratford, Ontario

PostPosted: Fri 08 Jun 2018, 17:48    Post subject:  

Let's get on the same page - are you currently using BionicDog 32 or 64bit?

How are you installing the printer in Puppy - as an ML-2160?

Can I assume that you have run "apt-get install cups"?

I have the Unified Driver package uld_V1.00.39_01.17.tar.gz. (This is a recent version).

I extracted it, found the "install.sh" script and ran it from a terminal. It completed.

I then did the standard CUPS printer install with my SCX-3200. The printer worked .

------------------------

I repeated the process with BionicDog64 and the printer initially turned on. It also installed the driver, and the CUPS printer setup worked.

I am not seeing any GUI. In which menu?

I wonder if your old ULD packages work differently and are maybe incompatible.

I would go to the HP site above and get the ULD for the ML-2160. Do your setup with it.
Back to top
View user's profile Send private message 
irishrm


Joined: 14 Mar 2009
Posts: 271

PostPosted: Fri 08 Jun 2018, 20:17    Post subject:  

rcrsn51:
On this laptop I'm running Bionicdog64 on which I would like to install the ML2162.

I have two other laptops with different systems running.
On one of these I have Tahr 32bit with the printer installed using a pet you provided some time ago.

On the other I have Tahr 64bit on which only yesterday I installed the printer using the unified printer package. It worked by clicking on the auto script and follow instructions. This was my first time using it so i'm not to familiar with it.

I then installed cups in Bionicdog64 and tried using the unified printer package with the printer turned on and it installed as a program with a gui in the system menu. The gui opened a window that would have installed the printer but didn't respond from that point. The ML2162 driver showed in cups but when installed it didn't work.

Obviously there was an incompatibility.
Tomorrow I will follow your suggestions and see how I get on.
Just one thing would you run through how to use "install.sh"

Thanks.
irishrm.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12274
Location: Stratford, Ontario

PostPosted: Fri 08 Jun 2018, 20:24    Post subject:  

When I extract the uld_V1.00.39_01.17.tar.gz, it makes a folder named "uld". The contents are shown below.

Open a terminal (F4) and type: ./install.sh

Quote:
How are you installing the printer in Puppy - as an ML-2160?

Please answer.
snappie.png
 Description   
 Filesize   23.63 KB
 Viewed   139 Time(s)

snappie.png


Last edited by rcrsn51 on Sat 09 Jun 2018, 05:56; edited 1 time in total
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 21 of 28 [412 Posts]   Goto page: Previous 1, 2, 3, ..., 19, 20, 21, 22, 23, ..., 26, 27, 28 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0768s ][ Queries: 14 (0.0142s) ][ GZIP on ]